xson_annotation 1.0.2+1

This package defines the annotations used by xson_builder to generate dart json bean.

1.0.0 #

  • Initial version, created by Stagehand

1.0.1 #

  • new PropertyRenameHandler to handle property's name renamed

1.0.2 #

  • new PropertyRenameHandlers

1.0.2+1 #

  • buf fixed

example/xson_annotation_example.dart

import 'package:xson_annotation/xson_annotation.dart';

main() {}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  xson_annotation: ^1.0.2+1

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:xson_annotation/xson_annotation.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
60
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
80
Learn more about scoring.

We analyzed this package on Feb 13, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.7.1
  • pana: 0.13.5

Health suggestions

Format lib/src/property_rename_handler.dart.

Run dartfmt to format lib/src/property_rename_handler.dart.

Format lib/xson_annotation.dart.

Run dartfmt to format lib/xson_annotation.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.4.0 <3.0.0